<%--59e1f80b2c0bd40ed3fdc8b37ef2e3022011/7/20 22:08:18--%>
<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="Kcms.UI.ask_list" %>
<%@ Import namespace="Kcms.Model" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/*
	本页面代码由Kcms模板引擎生成于 2011/7/21 6:49:31.
	*/
	base.OnInit(e);
	pageBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	pageBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	pageBuilder.Append("<head>\r\n");
	pageBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	pageBuilder.Append("<title>");
	pageBuilder.Append(title.ToString());
	pageBuilder.Append("</title>\r\n");
	pageBuilder.Append("<meta name=\"keywords\" content=\"");
	pageBuilder.Append(keywords.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<meta name=\"description\" content=\"");
	pageBuilder.Append(description.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<link href=\"templates/default/styles/kcms.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n");
	pageBuilder.Append("<script src=\"/scripts/jquery-1.4.1.min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\">\r\n");
	pageBuilder.Append("    $(function () {\r\n");
	pageBuilder.Append("        $(\"#stype\").hover(\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideDown(\"normal\");\r\n");
	pageBuilder.Append("        },\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideUp(\"normal\");\r\n");
	pageBuilder.Append("        });\r\n");
	pageBuilder.Append("    });\r\n");
	pageBuilder.Append("    function stys(h, v) {\r\n");
	pageBuilder.Append("        $(\".meun\").html(h);\r\n");
	pageBuilder.Append("        $(\"#searchtype\").val(v);\r\n");
	pageBuilder.Append("    }\r\n");
	pageBuilder.Append("</");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</head>\r\n");
	pageBuilder.Append("<body>\r\n");
	pageBuilder.Append("<div class=\"topbar\">\r\n");
	pageBuilder.Append("  <div class=\"mainbox\"><p>\r\n");

	if (userid==0)
	{

	pageBuilder.Append("    <a href=\"login.aspx\">登录</a> | <a href=\"register.aspx\">注册</a>\r\n");

	}
	else
	{

	pageBuilder.Append("    欢迎您! <em>☺</em> ");
	pageBuilder.Append(username.ToString());
	pageBuilder.Append(" | <a href=\"/usercenter/\">用户中心</a> | <a href=\"loginout.aspx\">退出?</a>\r\n");

	}	//end if

	pageBuilder.Append("  </p></div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<div class=\"mainbox\">\r\n");
	pageBuilder.Append("  <div class=\"logobar clearfix\">\r\n");
	pageBuilder.Append("    <div class=\"logo\"><a href=\"\" title=\"快聚合网赚系统\">快聚合网赚系统</a></div>\r\n");
	pageBuilder.Append("    <div class=\"search\">\r\n");
	pageBuilder.Append("    <div class=\"clearfix\">\r\n");
	pageBuilder.Append("    <form action=\"search.aspx\" method=\"get\">\r\n");
	pageBuilder.Append("        <div class=\"sea\">\r\n");
	pageBuilder.Append("        <div id=\"stype\">\r\n");
	pageBuilder.Append("        <a href=\"javascript:;\" class=\"meun\">资讯</a>\r\n");
	pageBuilder.Append("        <ul>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('专题', 0)\">专题</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('资讯', 1)\">资讯</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('博文', 2)\">博文</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('问答', 3)\">问答</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('图片', 4)\">图片</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('视频', 5)\">视频</a></li>\r\n");
	pageBuilder.Append("        </ul>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"searchtype\" name=\"t\" type=\"hidden\" value=\"1\" />\r\n");
	pageBuilder.Append("        <input id=\"searchkeys\" name=\"wd\" type=\"text\" />\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"submit\" type=\"submit\" value=\"搜索\" class=\"sea_doc\"/>\r\n");
	pageBuilder.Append("    </form>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <p>\r\n");

	foreach(SearchInfo search in SearchTop(6,false))
	{
	pageBuilder.Append("    <a href=\"search.aspx?t=");
	pageBuilder.Append(search.t.ToString().Trim());
	pageBuilder.Append("&wd=\r\n");
pageBuilder.Append(Server.UrlEncode(search.wd));
	pageBuilder.Append("\">");
	pageBuilder.Append(search.wd.ToString().Trim());
	pageBuilder.Append("</a>\r\n");

	}	//end if

	pageBuilder.Append("    </p>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"nav\">\r\n");
	pageBuilder.Append("    <ul class=\"clearfix\">\r\n");
	pageBuilder.Append("     <li><a href=\"/\">首页</a></li>\r\n");

	if (indexType==1)
	{

	pageBuilder.Append("     <li><a href=\"home.aspx\">综合页</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"news.aspx\">资讯</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"bowen.aspx\">博文</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"pic.aspx\">图片</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"video.aspx\">视频</a></li>\r\n");

	if (indexType==0)
	{

	pageBuilder.Append("     <li><a href=\"ask.aspx\">问答</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"special.aspx\">专题</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"tag.aspx\">标签</a></li>\r\n");
	pageBuilder.Append("    </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"channel\">\r\n");
	pageBuilder.Append("  <ul class=\"clearfix\">\r\n");

	foreach(ChannelInfo channel in channelList())
	{
	pageBuilder.Append("    <li><a href=\"channel-");
	pageBuilder.Append(channel.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(channel.channelname.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("  </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div><a href=\"http://www.kuaishow.com/\" target=\"_blank\"><img src=\"templates/default/images/ad-banner.jpg\" width=\"950\" height=\"80\" border=\"0\" /></a></div>\r\n");

	pageBuilder.Append("    <p class=\"askpath\">");
	pageBuilder.Append(askpath.ToString());
	pageBuilder.Append("</p>\r\n");
	pageBuilder.Append("  <div class=\"asklist clearfix\">\r\n");
	pageBuilder.Append("    <div class=\"left clearfix\">\r\n");

	if (childClassList.Count!=0)
	{

	pageBuilder.Append("    <div class=\"child\">\r\n");
	pageBuilder.Append("    <p><em>");
	pageBuilder.Append(askclassInfo.name.ToString().Trim());
	pageBuilder.Append("</em></p>\r\n");
	pageBuilder.Append("    <ul class=\"clearfix\">\r\n");

	foreach(AskclassInfo child in childClassList)
	{
	pageBuilder.Append("        <li><a href=\"asklist-");
	pageBuilder.Append(child.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(child.name.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("    </ul>\r\n");
	pageBuilder.Append("    </div>\r\n");

	}	//end if

	pageBuilder.Append("    <ul class=\"cnav clearfix\">\r\n");
	pageBuilder.Append("    <li\r\n");

	if (ask_s==0)
	{

	pageBuilder.Append(" class=\"on\"\r\n");

	}	//end if

	pageBuilder.Append("><a href=\"asklist-");
	pageBuilder.Append(classid.ToString());
	pageBuilder.Append(".aspx\">全部问题</a></li>\r\n");
	pageBuilder.Append("    <li\r\n");

	if (ask_s==1)
	{

	pageBuilder.Append(" class=\"on\"\r\n");

	}	//end if

	pageBuilder.Append("><a href=\"asklist-");
	pageBuilder.Append(classid.ToString());
	pageBuilder.Append("-s1.aspx\">待解决问题</a></li>\r\n");
	pageBuilder.Append("    <li\r\n");

	if (ask_s==2)
	{

	pageBuilder.Append(" class=\"on\"\r\n");

	}	//end if

	pageBuilder.Append("><a href=\"asklist-");
	pageBuilder.Append(classid.ToString());
	pageBuilder.Append("-s2.aspx\">高悬赏问题</a></li>\r\n");
	pageBuilder.Append("    <li\r\n");

	if (ask_s==3)
	{

	pageBuilder.Append(" class=\"on\"\r\n");

	}	//end if

	pageBuilder.Append("><a href=\"asklist-");
	pageBuilder.Append(classid.ToString());
	pageBuilder.Append("-s3.aspx\">未满意问题</a></li>\r\n");
	pageBuilder.Append("    <li\r\n");

	if (ask_s==4)
	{

	pageBuilder.Append(" class=\"on\"\r\n");

	}	//end if

	pageBuilder.Append("><a href=\"asklist-");
	pageBuilder.Append(classid.ToString());
	pageBuilder.Append("-s4.aspx\">已解决问题</a></li>\r\n");
	pageBuilder.Append("    <li\r\n");

	if (ask_s==5)
	{

	pageBuilder.Append(" class=\"on\"\r\n");

	}	//end if

	pageBuilder.Append("><a href=\"asklist-");
	pageBuilder.Append(classid.ToString());
	pageBuilder.Append("-s5.aspx\">推荐问题</a></li>\r\n");
	pageBuilder.Append("    </ul>\r\n");
	pageBuilder.Append("    <div class=\"list\">\r\n");
	pageBuilder.Append("     <ul>\r\n");
	pageBuilder.Append("     <li class=\"tit\"><em class=\"emcla\">分类</em><em class=\"emtit\">标题</em><em class=\"emans\">回答数</em><em class=\"emtim\">提问时间</em><em class=\"emaut\">提问者</em></li>\r\n");

	foreach(AskInfo ask in askList)
	{
	pageBuilder.Append("     <li><em class=\"emcla\">[<a href=\"asklist-");
	pageBuilder.Append(ask.classid.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(ask.classname.ToString().Trim());
	pageBuilder.Append("</a>]</em><em class=\"emtit\"><a href=\"asks-");
	pageBuilder.Append(ask.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(ask.title.ToString().Trim());
	pageBuilder.Append("</a></em><em class=\"emans\">");
	pageBuilder.Append(ask.ansnum.ToString().Trim());
	pageBuilder.Append("</em><em class=\"emtim\">\r\n");
	pageBuilder.Append(Convert.ToDateTime(ask.addtime).ToString("MM-dd"));
	pageBuilder.Append("</em><em class=\"emaut\">\r\n");

	if (ask.isnm)
	{

	pageBuilder.Append("匿名\r\n");

	}
	else
	{

	pageBuilder.Append("<a href=\"usercenter/?");
	pageBuilder.Append(ask.userid.ToString().Trim());
	pageBuilder.Append(".html\" target=\"_blank\">");
	pageBuilder.Append(ask.username.ToString().Trim());
	pageBuilder.Append("</a>\r\n");

	}	//end if

	pageBuilder.Append("</em></li>\r\n");

	}	//end loop

	pageBuilder.Append("     </ul>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    ");
	pageBuilder.Append(pager().ToString());
	pageBuilder.Append("\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"right\">\r\n");
	pageBuilder.Append("      <div class=\"rc\">\r\n");
	pageBuilder.Append("        <p>我可以做什么</p>\r\n");
	pageBuilder.Append("        <dl>\r\n");
	pageBuilder.Append("        <dt>提出问题</dt>\r\n");
	pageBuilder.Append("        <dd>世界总有你未知的东西需要你来提出问题，我们就是要给你一个方便的提问平台。</dd>\r\n");
	pageBuilder.Append("        <dt>分享知道的东西</dt>\r\n");
	pageBuilder.Append("        <dd>回答提问者的提问，可以简单或详尽的解答，提问者和系统会对你的贡献作出一个合理的积分回报。</dd>\r\n");
	pageBuilder.Append("        <dt>评价和体验</dt>\r\n");
	pageBuilder.Append("        <dd>评价他人的提问和回答，不仅仅可以维护一个好的问答环境，也有助于提高你自己的学习和辨别能力。</dd>\r\n");
	pageBuilder.Append("        </dl>\r\n");
	pageBuilder.Append("        <div class=\"askpost\"><a href=\"askpost.aspx\">提交问题</a></div>\r\n");
	pageBuilder.Append("      </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"footer\">\r\n");
	pageBuilder.Append("    ");
	pageBuilder.Append(copyright.ToString());
	pageBuilder.Append("\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\" src=\"http://v1.jiathis.com/code/jia.js\" charset=\"utf-8\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</body>\r\n");
	pageBuilder.Append("</html>\r\n");

	Response.Write(pageBuilder.ToString());
}
</script>
